### Hierarchy

- Promise<StateObject>
  - TransitionPromise

## Index

### Properties

- Promise
- __@toStringTag
- transition

### Methods

- catch
- then

## Properties

Promise: PromiseConstructor

- Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:5500

__@toStringTag: "Promise"

Inherited from Promise.[Symbol.toStringTag]

- Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:5728

transition: Transition

- Defined in state/interface.ts:19

## Methods

- catch<TResult>(onrejected?: function | undefined | null): Promise<StateObject | TResult>

- Attaches a callback for only the rejection of the Promise.

- Attaches a callback for only the rejection of the Promise.

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### onrejected: Optional function | undefined | null

    :

    The callback to execute when the Promise is rejected.

  #### Returns Promise<StateObject | TResult>

  :

  A Promise for the completion of the callback.

  Inherited from Promise.catch

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:1302

- then<TResult1, TResult2>(onfulfilled?: function | undefined | null, onrejected?: function | undefined | null): Promise<TResult1 | TResult2>

- Attaches callbacks for the resolution and/or rejection of the Promise.

- Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type parameters

  - #### TResult1

  - #### TResult2

  #### Parameters

  - ##### onfulfilled: Optional function | undefined | null

    :

    The callback to execute when the Promise is resolved.

  - ##### onrejected: Optional function | undefined | null

    :

    The callback to execute when the Promise is rejected.

  #### Returns Promise<TResult1 | TResult2>

  :

  A Promise for the completion of which ever callback is executed.

  Inherited from Promise.then

  - Defined in /Users/cthielen/projects/uirouter/core/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:1295

Generated using TypeDoc